OpenShot Audio Library | OpenShotAudio: juce::URL::DownloadTask Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
juce::URL::DownloadTask Class Reference

`#include <juce_URL.h>`

## Public Types
using | Listener = DownloadTaskListener

## Public Member Functions
virtual | ~DownloadTask ()
int64 | getTotalLength () const
int64 | getLengthDownloaded () const
bool | isFinished () const
int | statusCode () const
bool | hadError () const
File | getTargetLocation () const

## Protected Attributes
int64 | contentLength = -1
int64 | downloaded = 0
bool | finished = false
bool | error = false
int | httpCode = -1
File | targetLocation

## Detailed Description

Represents a download task.

Returned by downloadToFile() to allow querying and controlling the download task.

Definition at line 499 of file juce_URL.h.

## Member Typedef Documentation

## ◆ Listener

using juce::URL::DownloadTask::Listener = DownloadTaskListener

Definition at line 502 of file juce_URL.h.

## Constructor & Destructor Documentation

## ◆ ~DownloadTask()

juce::URL::DownloadTask::~DownloadTask | ( |  | ) |
| virtual

Releases the resources of the download task, unregisters the listener and cancels the download if necessary.

Definition at line 135 of file juce_URL.cpp.

## ◆ DownloadTask()

juce::URL::DownloadTask::DownloadTask | ( |  | ) |
| protected

Definition at line 134 of file juce_URL.cpp.

## Member Function Documentation

## ◆ getLengthDownloaded()

int64 juce::URL::DownloadTask::getLengthDownloaded | ( |  | ) | const
| inline

Returns the number of bytes that have been downloaded so far.

Definition at line 516 of file juce_URL.h.

## ◆ getTargetLocation()

File juce::URL::DownloadTask::getTargetLocation | ( |  | ) | const
| inline

Returns the target file location that was provided in URL::downloadToFile.

Definition at line 533 of file juce_URL.h.

## ◆ getTotalLength()

int64 juce::URL::DownloadTask::getTotalLength | ( |  | ) | const
| inline

Returns the total length of the download task.

This may return -1 if the length was not returned by the server.

Definition at line 513 of file juce_URL.h.

## ◆ hadError()

bool juce::URL::DownloadTask::hadError | ( |  | ) | const
| inline

Returns true if there was an error.

Definition at line 530 of file juce_URL.h.

## ◆ isFinished()

bool juce::URL::DownloadTask::isFinished | ( |  | ) | const
| inline

Returns true if the download finished or there was an error.

Definition at line 519 of file juce_URL.h.

## ◆ statusCode()

int juce::URL::DownloadTask::statusCode | ( |  | ) | const
| inline

Returns the status code of the server's response.

This will only be valid after the download has finished.

See also
  isFinished

Definition at line 527 of file juce_URL.h.

## Member Data Documentation

## ◆ contentLength

int64 juce::URL::DownloadTask::contentLength = -1
| protected

Definition at line 536 of file juce_URL.h.

## ◆ downloaded

int64 juce::URL::DownloadTask::downloaded = 0
| protected

Definition at line 536 of file juce_URL.h.

## ◆ error

bool juce::URL::DownloadTask::error = false
| protected

Definition at line 537 of file juce_URL.h.

## ◆ finished

bool juce::URL::DownloadTask::finished = false
| protected

Definition at line 537 of file juce_URL.h.

## ◆ httpCode

int juce::URL::DownloadTask::httpCode = -1
| protected

Definition at line 538 of file juce_URL.h.

## ◆ targetLocation

File juce::URL::DownloadTask::targetLocation
| protected

Definition at line 539 of file juce_URL.h.

The documentation for this class was generated from the following files:

- juce_URL.h
- juce_URL.cpp